CTestIOPlugin Class Reference

`#include <mia/core/dummyhandler.hh>`

Inheritance diagram for CTestIOPlugin:
[legend]
Collaboration diagram for CTestIOPlugin:
[legend]

## Public Types

typedef test_io_data::type | Data
Public Types inherited from TIOPlugin< test_io_data >
typedef test_io_data::type | Data
| type of the data handled by this plug-in
typedef std::shared_ptr< Data > | PData
| shared pointer of the data handled by this plug-in
typedef std::set< EPixelType > | PixelTypeSet
| the type for the supported pixel types of this IO handler
typedef std::set< std::string > | SuffixSet
Public Types inherited from TPlugin< test_io_data, io_plugin_type >
typedef test_io_data | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef io_plugin_type | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.

## Public Member Functions

| CTestIOPlugin (const char *name)
Public Member Functions inherited from TIOPlugin< test_io_data >
void | add_suffixes (std::multimap< std::string, std::string > &map) const
const std::string | get_preferred_suffix () const
PData | load (const std::string &fname) const
bool | save (const std::string &fname, const Data &data) const
const PixelTypeSet & | supported_pixel_types () const
| TIOPlugin (const char *name)
Public Member Functions inherited from TPlugin< test_io_data, io_plugin_type >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Additional Inherited Members

Static Public Member Functions inherited from TPlugin< test_io_data, io_plugin_type >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()
Protected Member Functions inherited from TIOPlugin< test_io_data >
void | add_suffix (const std::string &suffix)
void | add_supported_type (EPixelType t)
| add pixel type t to the list of supported types
const SuffixSet & | get_suffixes () const
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Detailed Description

Definition at line 47 of file dummyhandler.hh.

## Member Typedef Documentation

## Data

typedef test_io_data::type CTestIOPlugin::Data

Definition at line 50 of file dummyhandler.hh.

## Constructor & Destructor Documentation

## CTestIOPlugin()

CTestIOPlugin::CTestIOPlugin | ( | const char * | name | ) |

The documentation for this class was generated from the following file:

- dummyhandler.hh